%define tarname pyFltk

Summary:	Python wrapper for the FLTK library
Name:		python-pyfltk
Version:	1.3.0
Release:	%mkrel 4
Source0:	http://downloads.sourceforge.net/pyfltk/%{tarname}-%{version}.tar.gz
Patch0:		pyFltk-1.3.0rc1-build.patch
License:	GPLv2
Group:		Development/Python
Url:		http://pyfltk.sourceforge.net/
BuildRequires:	fltk-devel >= 1.3.0
BuildRequires:	python-devel
BuildRequires:	swig

%description 
pyFLTK is a Python wrapper for the Fast Light Tool Kit
cross-platform graphical user-interface library.

%prep
%setup -q -n %{tarname}-%{version}
%patch0 -p1 -b .cflags

# (wally) With P0, disable Werror_cflags temporarily to get pkg build
%define Werror_cflags   %nil
sed -i -e 's|@MGA_CFLAGS@|%{optflags}|' setup.py

%build
CPPFLAGS="-DFL_INTERNALS %ldflags" python setup.py build

%install
python setup.py install --root=%{buildroot}

rm -rf %{buildroot}%{py_platsitedir}/fltk/docs
rm -rf %{buildroot}%{py_platsitedir}/fltk/test

%files
%defattr(-,root,root)
%doc CHANGES COPYING README TODO
%{py_platsitedir}/fltk/*
%{py_platsitedir}/*info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.3.0-4.mga4
+ Revision: 544061
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.3.0-3.mga4
+ Revision: 499196
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 379331
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 26 2012 fwang <fwang> 1.3.0-1.mga2
+ Revision: 202024
- update doc list
- 1.3.0 final
- update tarball
- br swig
- regenerate wrapper
- new version 1.3.0 rc1

  + wally <wally>
    - add P0 to disable Werror_cflags temporarily to get pkg build
    - use correct CPPFLAGS to get pkg build

* Sun Apr 24 2011 grenoya <grenoya> 1.1.3-2.mga1
+ Revision: 90154
- imported package python-pyfltk


* Sat Nov 06 2010 Funda Wang <fwang@mandriva.org> 1.1.3-2mdv2011.0
+ Revision: 594002
- rebuild for py2.7

* Wed Jan 14 2009 Lev Givon <lev@mandriva.org> 1.1.3-1mdv2009.1
+ Revision: 329282
- Patch to build against latest fltk package.
- import python-pyfltk


